<td>{{item.name}}</td>
<td>{{item.category.name}}</td>
<td>{{item.price}}</td>
<td>
    <button class="btn btn-danger" (click)="deleteItem()">delete</button>
    <button class="btn btn-info" (click)="setItemToEdit()"> edit</button>
</td>